> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Register card payment

> Registers a new card payment for a given company



## OpenAPI

````yaml /swagger.json post /CardPayment
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /CardPayment:
    post:
      tags:
        - Payment
      summary: Register card payment
      description: Registers a new card payment for a given company
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveExternalCardPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/SaveExternalCardPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SaveExternalCardPaymentRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    SaveExternalCardPaymentRequest:
      type: object
      properties:
        amount:
          type: integer
          format: int32
        mobileNumber:
          type: string
        cardType:
          type: string
        transactionStatus:
          type: string
        merchantId:
          type: string
        email:
          type: string
          nullable: true
        patientReferenceNumber:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````